# DataExchange
TKSTEP
StepToTopoDS

# StepToTopoDS_TranslateCompositeCurve Class Reference

Translate STEP entity composite_curve to TopoDS_Wire
If surface is given, the curve is assumed to lie on that
surface and in case if any segment of it is a
curve_on_surface, the pcurve for that segment will be taken.
Note: a segment of composite_curve may be itself
composite_curve. Only one-level protection against
cyclic references is implemented.
.

`#include <StepToTopoDS_TranslateCompositeCurve.hxx>`

Inheritance diagram for StepToTopoDS_TranslateCompositeCurve:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToTopoDS_TranslateCompositeCurve ()
| Empty constructor .
Standard_EXPORT | StepToTopoDS_TranslateCompositeCurve (const Handle(StepGeom_CompositeCurve)&CC, const Handle(Transfer_TransientProcess)&TP)
| Translates standalone composite_curve .
Standard_EXPORT | StepToTopoDS_TranslateCompositeCurve (const Handle(StepGeom_CompositeCurve)&CC, const Handle(Transfer_TransientProcess)&TP, const Handle(StepGeom_Surface)&S, const Handle(Geom_Surface)&Surf)
| Translates composite_curve lying on surface .
Standard_EXPORT Standard_Boolean | Init (const Handle(StepGeom_CompositeCurve)&CC, const Handle(Transfer_TransientProcess)&TP)
| Translates standalone composite_curve .
Standard_EXPORT Standard_Boolean | Init (const Handle(StepGeom_CompositeCurve)&CC, const Handle(Transfer_TransientProcess)&TP, const Handle(StepGeom_Surface)&S, const Handle(Geom_Surface)&Surf)
| Translates composite_curve lying on surface .
Standard_EXPORT const TopoDS_Wire & | Value () const
| Returns result of last translation or null wire if failed. .

## Private Attributes

TopoDS_Wire | myWire

## Constructor & Destructor Documentation

Standard_EXPORT StepToTopoDS_TranslateCompositeCurve::StepToTopoDS_TranslateCompositeCurve | ( |  | ) |

Standard_EXPORT StepToTopoDS_TranslateCompositeCurve::StepToTopoDS_TranslateCompositeCurve | ( | const Handle(StepGeom_CompositeCurve)& | CC,
|  | const Handle(Transfer_TransientProcess)& | TP
| ) |

Standard_EXPORT StepToTopoDS_TranslateCompositeCurve::StepToTopoDS_TranslateCompositeCurve | ( | const Handle(StepGeom_CompositeCurve)& | CC,
|  | const Handle(Transfer_TransientProcess)& | TP,
|  | const Handle(StepGeom_Surface)& | S,
|  | const Handle(Geom_Surface)& | Surf
| ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean StepToTopoDS_TranslateCompositeCurve::Init | ( | const Handle(StepGeom_CompositeCurve)& | CC,
|  | const Handle(Transfer_TransientProcess)& | TP,
|  | const Handle(StepGeom_Surface)& | S,
|  | const Handle(Geom_Surface)& | Surf
| ) |

Standard_EXPORT Standard_Boolean StepToTopoDS_TranslateCompositeCurve::Init | ( | const Handle(StepGeom_CompositeCurve)& | CC,
|  | const Handle(Transfer_TransientProcess)& | TP
| ) |

void StepToTopoDS_TranslateCompositeCurve::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToTopoDS_Root.

void* StepToTopoDS_TranslateCompositeCurve::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToTopoDS_Root.

void* StepToTopoDS_TranslateCompositeCurve::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToTopoDS_Root.

Standard_EXPORT const TopoDS_Wire& StepToTopoDS_TranslateCompositeCurve::Value | ( |  | ) | const

## Field Documentation

TopoDS_Wire StepToTopoDS_TranslateCompositeCurve::myWire `[private]`

The documentation for this class was generated from the following file:

- StepToTopoDS_TranslateCompositeCurve.hxx